B2BB2B LLM

Хостована веб претрага

Користите алатку Responses API web_search уместо самосталне крајње тачке.

Хостована веб претрага

Модел Гате не објављује засебно /v1/web-search захтевати уговор. Користите POST /v1/responses са домаћином web_search алат.

Захтев

curl https://api.model-gate.com/v1/responses \
  -H "Authorization: Bearer mg_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.4",
    "input": [{"role": "user", "content": [{"type": "input_text", "text": "Find the latest official release notes."}]}],
    "tools": [{"type": "web_search"}],
    "tool_choice": "required",
    "include": ["web_search_call.action.sources"],
    "stream": false
  }'

Одговор

Завршени објекат Респонсес укључује излаз модела и изворе веб претраге које се могу ревидирати када горњи модел подржава хостовану претрагу.

{
  "id": "resp_...",
  "object": "response",
  "status": "completed",
  "output": [
    {
      "type": "web_search_call",
      "action": {
        "sources": [
          {"type": "url", "url": "https://example.com/source"}
        ]
      }
    },
    {
      "type": "message",
      "content": [
        {"type": "output_text", "text": "..."}
      ]
    }
  ]
}